aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2020-07-16 11:10:42 +0200
committerAndrew Ammerlaan <andrewammerlaan@riseup.net>2020-07-16 11:10:42 +0200
commitd14f56e319ee8fd2f7e57cc8d46c4ac2ecf5f4b7 (patch)
treebe001f01cfd2e19ae946a3b196b816f3d154059f /dev-python
parentdev-python/pytest-isort: version bump (diff)
downloadguru-d14f56e319ee8fd2f7e57cc8d46c4ac2ecf5f4b7.tar.gz
guru-d14f56e319ee8fd2f7e57cc8d46c4ac2ecf5f4b7.tar.bz2
guru-d14f56e319ee8fd2f7e57cc8d46c4ac2ecf5f4b7.zip
dev-python/pydantic: version bump
Package-Manager: Portage-2.3.103, Repoman-2.3.23 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/pydantic/Manifest1
-rw-r--r--dev-python/pydantic/pydantic-1.6.1.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/dev-python/pydantic/Manifest b/dev-python/pydantic/Manifest
index 07b96733..460e40d3 100644
--- a/dev-python/pydantic/Manifest
+++ b/dev-python/pydantic/Manifest
@@ -1 +1,2 @@
DIST pydantic-1.5.1.tar.gz 233727 BLAKE2B ef41cf8d65d2839444e6457b6f48442d1d1ddee506cc7a75f79dd173e7cf9908c7d2ef1d4f70ddfdf7ba00ad7af7c81697a3e3e03cf058a0494b7d2c5fb874a7 SHA512 beadba0f57bd669ac97f4d7288cdf9598f6c791f46258ba75a3ec93361ebba010d7b1784e8b50534b12f9fb3606e8cc0cbbc7a9321a1d9a6a29e1e73a057f9c4
+DIST pydantic-1.6.1.tar.gz 244677 BLAKE2B 0a1d6986858ab753cbc4dd262bd268b2a365c241a7de106a7bf21714c6c499c7dbacaea095789d3503507965ca50106da32545be670ed0261827f1fe0316ff67 SHA512 b0442f78a661f56d29697da7e27393261420bdb0f08473d2f7872145a49a18de8c17c903d0899a44263bcd8229e8790161da032dd5a3d5f2dae347c66bd6a567
diff --git a/dev-python/pydantic/pydantic-1.6.1.ebuild b/dev-python/pydantic/pydantic-1.6.1.ebuild
new file mode 100644
index 00000000..1550306e
--- /dev/null
+++ b/dev-python/pydantic/pydantic-1.6.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+DOCBUILDER="mkdocs"
+DOCDEPEND="
+ dev-python/mkdocs-material
+ dev-python/mkdocs-exclude
+ dev-python/markdown-include
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Data parsing and validation using Python type hints"
+HOMEPAGE="https://github.com/samuelcolvin/pydantic"
+SRC_URI="https://github.com/samuelcolvin/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+distutils_enable_tests pytest
+
+BDEPEND="dev-python/cython"
+
+DEPEND="test? (
+ dev-python/mypy[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+)"
+
+RDEPEND="
+ >=dev-python/devtools-0.5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-email-validator-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dotenv-0.13.0[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/dataclasses[${PYTHON_USEDEP}]' python3_6)
+"
+
+python_prepare_all() {
+ # AssertionError: assert 'pydantic-1.5.1.tar.gz' == 'config a'
+ sed -i -e 's:test_config_file_settings_nornir:_&:' \
+ tests/test_settings.py || die
+
+ distutils-r1_python_prepare_all
+}